# Class PriceClient

#### Hierarchy

- PriceClient

- Defined in src/protobuf/GrpcServiceClientPb.ts:2427

#####
Index

### Constructors

constructor

### Properties

client_
credentials_
hostname_
methodDescriptorGetMarketDepth
methodDescriptorGetMarketPrice
methodDescriptorGetMarketPrices
options_

### Methods

getMarketDepth
getMarketPrice
getMarketPrices

## Constructors

### constructor

- new PriceClient(hostname: string, credentials?: null | {
  [index: string]: string;
  }, options?: null | {
  [index: string]: any;
  }): PriceClient

- #### Parameters

  - ##### hostname: string

  - ##### `Optional` credentials: null | {
    [index: string]: string;
    }

  - ##### `Optional` options: null | {
    [index: string]: any;
    }

  #### Returns PriceClient

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2433

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:2428

### credentials_

credentials_: null | {
[index: string]: string;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:2430

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:2429

### methodDescriptorGetMarketDepth

methodDescriptorGetMarketDepth: MethodDescriptor<MarketDepthRequest, MarketDepthReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2532

### methodDescriptorGetMarketPrice

methodDescriptorGetMarketPrice: MethodDescriptor<MarketPriceRequest, MarketPriceReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2446

### methodDescriptorGetMarketPrices

methodDescriptorGetMarketPrices: MethodDescriptor<MarketPricesRequest, MarketPricesReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2489

### options_

options_: null | {
[index: string]: any;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:2431

## Methods

### getMarketDepth

- getMarketDepth(request: MarketDepthRequest, metadata?: null | Metadata): Promise<MarketDepthReply>

- #### Parameters

  - ##### request: MarketDepthRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<MarketDepthReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2543
- getMarketDepth(request: MarketDepthRequest, metadata: null | Metadata, callback: ((err: RpcError, response: MarketDepthReply) => void)): ClientReadableStream<MarketDepthReply>

- #### Parameters

  - ##### request: MarketDepthRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: MarketDepthReply) => void)

    - - (err: RpcError, response: MarketDepthReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: MarketDepthReply

        #### Returns void

  #### Returns ClientReadableStream<MarketDepthReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2547

### getMarketPrice

- getMarketPrice(request: MarketPriceRequest, metadata?: null | Metadata): Promise<MarketPriceReply>

- #### Parameters

  - ##### request: MarketPriceRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<MarketPriceReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2457
- getMarketPrice(request: MarketPriceRequest, metadata: null | Metadata, callback: ((err: RpcError, response: MarketPriceReply) => void)): ClientReadableStream<MarketPriceReply>

- #### Parameters

  - ##### request: MarketPriceRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: MarketPriceReply) => void)

    - - (err: RpcError, response: MarketPriceReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: MarketPriceReply

        #### Returns void

  #### Returns ClientReadableStream<MarketPriceReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2461

### getMarketPrices

- getMarketPrices(request: MarketPricesRequest, metadata?: null | Metadata): Promise<MarketPricesReply>

- #### Parameters

  - ##### request: MarketPricesRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<MarketPricesReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2500
- getMarketPrices(request: MarketPricesRequest, metadata: null | Metadata, callback: ((err: RpcError, response: MarketPricesReply) => void)): ClientReadableStream<MarketPricesReply>

- #### Parameters

  - ##### request: MarketPricesRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: MarketPricesReply) => void)

    - - (err: RpcError, response: MarketPricesReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: MarketPricesReply

        #### Returns void

  #### Returns ClientReadableStream<MarketPricesReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2504

Generated using TypeDoc